# ncurses 6.0 - patch 20160123 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20160123.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jan 24 02:28:05 UTC 2016
# ------------------------------------------------------------------------------
# NEWS                             |    7 ++++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# form/f_trace.c                   |    6 +++---
# form/fld_arg.c                   |    6 +++---
# form/fld_attr.c                  |    6 +++---
# form/fld_ftchoice.c              |    6 +++---
# form/fld_newftyp.c               |    6 +++---
# form/frm_hook.c                  |    6 +++---
# form/fty_generic.c               |   10 +++++++---
# include/curses.h.in              |   12 ++++++------
# include/curses.tail              |    4 +++-
# menu/m_hook.c                    |    6 +++---
# menu/m_trace.c                   |    6 +++---
# ncurses/Makefile.in              |    7 ++++---
# ncurses/base/lib_getch.c         |    6 +++---
# ncurses/base/lib_set_term.c      |    6 +++---
# ncurses/base/use_window.c        |    6 +++---
# ncurses/curses.priv.h            |    7 +++++--
# ncurses/tinfo/lib_tputs.c        |    6 +++---
# ncurses/tinfo/use_screen.c       |    6 +++---
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 27 files changed, 83 insertions(+), 68 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2560 
--- ncurses-6.0-20160116+/NEWS	2016-01-17 00:37:27.000000000 +0000
+++ ncurses-6.0-20160123/NEWS	2016-01-24 01:17:56.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2560 2016/01/17 00:37:27 tom Exp $
+-- $Id: NEWS,v 1.2564 2016/01/24 01:17:56 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20160123
+	+ ifdef'd header-file definition of mouse_trafo() with NCURSES_NOMACROS
+	  (report by Corey Minyard).
+	+ fix some strict compiler-warnings in traces.
+
 20160116
 	+ tidy up comments about hardcoded 256color palette (report by
 	  Leonardo Brondani Schenkel) -TD
Index: VERSION
--- ncurses-6.0-20160116+/VERSION	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/VERSION	2016-01-23 17:00:00.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20160116
+5:0:9	6.0	20160123
Index: dist.mk
Prereq:  1.1089 
--- ncurses-6.0-20160116+/dist.mk	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/dist.mk	2016-01-23 17:00:00.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1089 2016/01/16 21:24:23 tom Exp $
+# $Id: dist.mk,v 1.1090 2016/01/23 17:00:00 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20160116
+NCURSES_PATCH = 20160123
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: form/f_trace.c
Prereq:  1.2 
--- ncurses-6.0-20160116+/form/f_trace.c	2010-01-23 21:14:36.000000000 +0000
+++ ncurses-6.0-20160123/form/f_trace.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2004,2010 Free Software Foundation, Inc.                   *
+ * Copyright (c) 2004-2010,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: f_trace.c,v 1.2 2010/01/23 21:14:36 tom Exp $")
+MODULE_ID("$Id: f_trace.c,v 1.3 2016/01/23 21:32:00 tom Exp $")
 
 NCURSES_EXPORT(FIELD **)
 _nc_retrace_field_ptr(FIELD **code)
@@ -65,6 +65,6 @@
 NCURSES_EXPORT(Form_Hook)
 _nc_retrace_form_hook(Form_Hook code)
 {
-  T((T_RETURN("%p"), code));
+  T((T_RETURN("%p"), TR_FUNC(code)));
   return code;
 }
Index: form/fld_arg.c
Prereq:  1.13 
--- ncurses-6.0-20160116+/form/fld_arg.c	2012-06-10 00:27:49.000000000 +0000
+++ ncurses-6.0-20160123/form/fld_arg.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fld_arg.c,v 1.13 2012/06/10 00:27:49 tom Exp $")
+MODULE_ID("$Id: fld_arg.c,v 1.14 2016/01/23 21:32:00 tom Exp $")
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform
@@ -67,7 +67,7 @@
 		  void (*const free_arg) (void *))
 {
   T((T_CALLED("set_fieldtype_arg(%p,%p,%p,%p)"),
-     (void *)typ, make_arg, copy_arg, free_arg));
+     (void *)typ, TR_FUNC(make_arg), TR_FUNC(copy_arg), TR_FUNC(free_arg)));
 
   if (typ != 0 && make_arg != (void *)0)
     {
Index: form/fld_attr.c
Prereq:  1.11 
--- ncurses-6.0-20160116+/form/fld_attr.c	2010-01-23 21:12:08.000000000 +0000
+++ ncurses-6.0-20160123/form/fld_attr.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2004,2010 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2010,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fld_attr.c,v 1.11 2010/01/23 21:12:08 tom Exp $")
+MODULE_ID("$Id: fld_attr.c,v 1.12 2016/01/23 21:32:00 tom Exp $")
 
 /*----------------------------------------------------------------------------
   Field-Attribute manipulation routines
@@ -42,7 +42,7 @@
 NCURSES_IMPEXP int NCURSES_API set_field_ ## name (FIELD * field, chtype attr)\
 {\
    int res = E_BAD_ARGUMENT;\
-   T((T_CALLED("set_field_" #name "(%p,%s)"), field, _traceattr(attr)));\
+   T((T_CALLED("set_field_" #name "(%p,%s)"), (void *)field, _traceattr(attr)));\
    if ( attr==A_NORMAL || ((attr & A_ATTRIBUTES)==attr) )\
      {\
        Normalize_Field( field );\
Index: form/fld_ftchoice.c
Prereq:  1.13 
--- ncurses-6.0-20160116+/form/fld_ftchoice.c	2012-06-10 00:27:49.000000000 +0000
+++ ncurses-6.0-20160123/form/fld_ftchoice.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fld_ftchoice.c,v 1.13 2012/06/10 00:27:49 tom Exp $")
+MODULE_ID("$Id: fld_ftchoice.c,v 1.14 2016/01/23 21:32:00 tom Exp $")
 
 /*---------------------------------------------------------------------------
 |   Facility      :  libnform  
@@ -51,7 +51,7 @@
 		     bool (*const next_choice) (FIELD *, const void *),
 		     bool (*const prev_choice) (FIELD *, const void *))
 {
-  T((T_CALLED("set_fieldtype_choice(%p,%p,%p)"), (void *)typ, next_choice, prev_choice));
+  T((T_CALLED("set_fieldtype_choice(%p,%p,%p)"), (void *)typ, TR_FUNC(next_choice), TR_FUNC(prev_choice)));
 
   if (!typ || !next_choice || !prev_choice)
     RETURN(E_BAD_ARGUMENT);
Index: form/fld_newftyp.c
Prereq:  1.19 
--- ncurses-6.0-20160116+/form/fld_newftyp.c	2010-01-23 21:14:36.000000000 +0000
+++ ncurses-6.0-20160123/form/fld_newftyp.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2009,2010 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2010,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fld_newftyp.c,v 1.19 2010/01/23 21:14:36 tom Exp $")
+MODULE_ID("$Id: fld_newftyp.c,v 1.20 2016/01/23 21:32:00 tom Exp $")
 
 static FIELDTYPE default_fieldtype =
 {
@@ -76,7 +76,7 @@
 {
   FIELDTYPE *nftyp = (FIELDTYPE *)0;
 
-  T((T_CALLED("new_fieldtype(%p,%p)"), field_check, char_check));
+  T((T_CALLED("new_fieldtype(%p,%p)"), TR_FUNC(field_check), TR_FUNC(char_check)));
   if ((field_check) || (char_check))
     {
       nftyp = typeMalloc(FIELDTYPE, 1);
Index: form/frm_hook.c
Prereq:  1.16 
--- ncurses-6.0-20160116+/form/frm_hook.c	2012-03-11 00:37:16.000000000 +0000
+++ ncurses-6.0-20160123/form/frm_hook.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,13 +32,13 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: frm_hook.c,v 1.16 2012/03/11 00:37:16 tom Exp $")
+MODULE_ID("$Id: frm_hook.c,v 1.17 2016/01/23 21:32:00 tom Exp $")
 
 /* "Template" macro to generate function to set application specific hook */
 #define GEN_HOOK_SET_FUNCTION( typ, name ) \
 NCURSES_IMPEXP int NCURSES_API set_ ## typ ## _ ## name (FORM *form, Form_Hook func)\
 {\
-   T((T_CALLED("set_" #typ"_"#name"(%p,%p)"), (void *) form, func));\
+   T((T_CALLED("set_" #typ"_"#name"(%p,%p)"), (void *) form, TR_FUNC(func)));\
    (Normalize_Form( form ) -> typ ## name) = func ;\
    RETURN(E_OK);\
 }
Index: form/fty_generic.c
Prereq:  1.6 
--- ncurses-6.0-20160116+/form/fty_generic.c	2012-06-10 00:27:49.000000000 +0000
+++ ncurses-6.0-20160123/form/fty_generic.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2008-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 2008-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -34,7 +34,7 @@
 
 #include "form.priv.h"
 
-MODULE_ID("$Id: fty_generic.c,v 1.6 2012/06/10 00:27:49 tom Exp $")
+MODULE_ID("$Id: fty_generic.c,v 1.7 2016/01/23 21:32:00 tom Exp $")
 
 /*
  * This is not a full implementation of a field type, but adds some
@@ -110,7 +110,11 @@
   FIELDTYPE *res = (FIELDTYPE *)0;
 
   T((T_CALLED("_nc_generic_fieldtype(%p,%p,%p,%p,%p)"),
-     field_check, char_check, next, prev, freecallback));
+     TR_FUNC(field_check),
+     TR_FUNC(char_check),
+     TR_FUNC(next),
+     TR_FUNC(prev),
+     TR_FUNC(freecallback)));
 
   if (field_check || char_check)
     {
Index: include/curses.h.in
Prereq:  1.242 
--- ncurses-6.0-20160116+/include/curses.h.in	2015-12-19 23:08:31.000000000 +0000
+++ ncurses-6.0-20160123/include/curses.h.in	2016-01-23 22:20:31.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.242 2015/12/19 23:08:31 tom Exp $ */
+/* $Id: curses.h.in,v 1.243 2016/01/23 22:20:31 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -1204,13 +1204,13 @@
 #define addchstr(str)		waddchstr(stdscr,(str))
 #define addnstr(str,n)		waddnstr(stdscr,(str),(n))
 #define addstr(str)		waddnstr(stdscr,(str),-1)
-#define attroff(at)		wattroff(stdscr,(at))
-#define attron(at)		wattron(stdscr,(at))
-#define attrset(at)		wattrset(stdscr,(at))
 #define attr_get(ap,cp,o)	wattr_get(stdscr,(ap),(cp),(o))
 #define attr_off(a,o)		wattr_off(stdscr,(a),(o))
 #define attr_on(a,o)		wattr_on(stdscr,(a),(o))
 #define attr_set(a,c,o)		wattr_set(stdscr,(a),(c),(o))
+#define attroff(at)		wattroff(stdscr,(at))
+#define attron(at)		wattron(stdscr,(at))
+#define attrset(at)		wattrset(stdscr,(at))
 #define bkgd(ch)		wbkgd(stdscr,(ch))
 #define bkgdset(ch)		wbkgdset(stdscr,(ch))
 #define chgat(n,a,c,o)		wchgat(stdscr,(n),(a),(c),(o))
@@ -1253,8 +1253,8 @@
 #define mvwaddchstr(win,y,x,str)	(wmove((win),(y),(x)) == ERR ? ERR : waddchnstr((win),(str),-1))
 #define mvwaddnstr(win,y,x,str,n)	(wmove((win),(y),(x)) == ERR ? ERR : waddnstr((win),(str),(n)))
 #define mvwaddstr(win,y,x,str)		(wmove((win),(y),(x)) == ERR ? ERR : waddnstr((win),(str),-1))
-#define mvwdelch(win,y,x)		(wmove((win),(y),(x)) == ERR ? ERR : wdelch(win))
 #define mvwchgat(win,y,x,n,a,c,o)	(wmove((win),(y),(x)) == ERR ? ERR : wchgat((win),(n),(a),(c),(o)))
+#define mvwdelch(win,y,x)		(wmove((win),(y),(x)) == ERR ? ERR : wdelch(win))
 #define mvwgetch(win,y,x)		(wmove((win),(y),(x)) == ERR ? ERR : wgetch(win))
 #define mvwgetnstr(win,y,x,str,n)	(wmove((win),(y),(x)) == ERR ? ERR : wgetnstr((win),(str),(n)))
 #define mvwgetstr(win,y,x,str)		(wmove((win),(y),(x)) == ERR ? ERR : wgetstr((win),(str)))
Index: include/curses.tail
Prereq:  1.21 
--- ncurses-6.0-20160116+/include/curses.tail	2011-10-29 20:03:22.000000000 +0000
+++ ncurses-6.0-20160123/include/curses.tail	2016-01-23 22:03:27.000000000 +0000
@@ -1,4 +1,4 @@
-/* $Id: curses.tail,v 1.21 2011/10/29 20:03:22 tom Exp $ */
+/* $Id: curses.tail,v 1.22 2016/01/23 22:03:27 tom Exp $ */
 /*
  * vile:cmode:
  * This file is part of ncurses, designed to be appended after curses.h.in
@@ -111,7 +111,9 @@
 extern NCURSES_EXPORT(int)     NCURSES_SP_NAME(mouseinterval) (SCREEN*, int);
 #endif
 
+#ifndef NCURSES_NOMACROS
 #define mouse_trafo(y,x,to_screen) wmouse_trafo(stdscr,y,x,to_screen)
+#endif
 
 /* other non-XSI functions */
 
Index: menu/m_hook.c
Prereq:  1.16 
--- ncurses-6.0-20160116+/menu/m_hook.c	2012-03-10 23:43:41.000000000 +0000
+++ ncurses-6.0-20160123/menu/m_hook.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -37,13 +37,13 @@
 
 #include "menu.priv.h"
 
-MODULE_ID("$Id: m_hook.c,v 1.16 2012/03/10 23:43:41 tom Exp $")
+MODULE_ID("$Id: m_hook.c,v 1.17 2016/01/23 21:32:00 tom Exp $")
 
 /* "Template" macro to generate function to set application specific hook */
 #define GEN_HOOK_SET_FUNCTION( typ, name ) \
 NCURSES_IMPEXP int NCURSES_API set_ ## typ ## _ ## name (MENU *menu, Menu_Hook func )\
 {\
-   T((T_CALLED("set_" #typ "_" #name "(%p,%p)"), (void *) menu, func));\
+   T((T_CALLED("set_" #typ "_" #name "(%p,%p)"), (void *) menu, TR_FUNC(func)));\
    (Normalize_Menu(menu) -> typ ## name = func );\
    RETURN(E_OK);\
 }
Index: menu/m_trace.c
Prereq:  1.4 
--- ncurses-6.0-20160116+/menu/m_trace.c	2010-01-23 21:20:10.000000000 +0000
+++ ncurses-6.0-20160123/menu/m_trace.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2004-2005,2010 Free Software Foundation, Inc.              *
+ * Copyright (c) 2004-2010,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include "menu.priv.h"
 
-MODULE_ID("$Id: m_trace.c,v 1.4 2010/01/23 21:20:10 tom Exp $")
+MODULE_ID("$Id: m_trace.c,v 1.5 2016/01/23 21:32:00 tom Exp $")
 
 NCURSES_EXPORT(ITEM *)
 _nc_retrace_item(ITEM * code)
@@ -65,7 +65,7 @@
 NCURSES_EXPORT(Menu_Hook)
 _nc_retrace_menu_hook(Menu_Hook code)
 {
-  T((T_RETURN("%p"), code));
+  T((T_RETURN("%p"), TR_FUNC(code)));
   return code;
 }
 
Index: ncurses/Makefile.in
Prereq:  1.148 
--- ncurses-6.0-20160116+/ncurses/Makefile.in	2015-10-17 21:48:15.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/Makefile.in	2016-01-23 21:32:00.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.148 2015/10/17 21:48:15 Esa.Peuha Exp $
+# $Id: Makefile.in,v 1.149 2016/01/23 21:32:00 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -266,7 +266,8 @@
 @MAKE_UPPER_TAGS@	$(ETAGS) *.[ch] */*.[ch]
 
 mostlyclean ::
-	-rm -f core tags TAGS *~ *.bak *.i *.ln *.atac trace
+	-rm -f core tags TAGS *~ *.bak *.i *.ln *.atac
+	-test -f trace || rm -f trace
 	-rm -f $(TEST_PROGS)
 
 clean :: mostlyclean
Index: ncurses/base/lib_getch.c
Prereq:  1.133 
--- ncurses-6.0-20160116+/ncurses/base/lib_getch.c	2015-11-29 01:28:52.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/base/lib_getch.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -42,7 +42,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_getch.c,v 1.133 2015/11/29 01:28:52 tom Exp $")
+MODULE_ID("$Id: lib_getch.c,v 1.134 2016/01/23 21:32:00 tom Exp $")
 
 #include <fifo_defs.h>
 
@@ -651,7 +651,7 @@
     int code;
     int value;
 
-    T((T_CALLED("wgetch_events(%p,%p)"), win, evl));
+    T((T_CALLED("wgetch_events(%p,%p)"), (void *) win, (void *)evl));
     code = _nc_wgetch(win,
 		      &value,
 		      _nc_use_meta(win)
Index: ncurses/base/lib_set_term.c
Prereq:  1.153 
--- ncurses-6.0-20160116+/ncurses/base/lib_set_term.c	2015-08-07 23:57:58.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/base/lib_set_term.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -47,7 +47,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_set_term.c,v 1.153 2015/08/07 23:57:58 tom Exp $")
+MODULE_ID("$Id: lib_set_term.c,v 1.154 2016/01/23 21:32:00 tom Exp $")
 
 #ifdef USE_TERM_DRIVER
 #define MaxColors      InfoOf(sp).maxcolors
@@ -726,7 +726,7 @@
     int code = ERR;
 
     START_TRACE();
-    T((T_CALLED("ripoffline(%p,%d,%p)"), (void *) SP_PARM, line, init));
+    T((T_CALLED("ripoffline(%p,%d,%p)"), (void *) SP_PARM, line, TR_FUNC(init)));
 
 #if NCURSES_SP_FUNCS
     if (SP_PARM != 0 && SP_PARM->_prescreen)
Index: ncurses/base/use_window.c
Prereq:  1.9 
--- ncurses-6.0-20160116+/ncurses/base/use_window.c	2009-10-24 22:40:24.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/base/use_window.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2007-2008,2009 Free Software Foundation, Inc.              *
+ * Copyright (c) 2007-2009,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,14 +32,14 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: use_window.c,v 1.9 2009/10/24 22:40:24 tom Exp $")
+MODULE_ID("$Id: use_window.c,v 1.10 2016/01/23 21:32:00 tom Exp $")
 
 NCURSES_EXPORT(int)
 use_window(WINDOW *win, NCURSES_WINDOW_CB func, void *data)
 {
     int code = OK;
 
-    T((T_CALLED("use_window(%p,%p,%p)"), (void *) win, func, data));
+    T((T_CALLED("use_window(%p,%p,%p)"), (void *) win, TR_FUNC(func), data));
     _nc_lock_global(curses);
     code = func(win, data);
     _nc_unlock_global(curses);
Index: ncurses/curses.priv.h
Prereq:  1.548 
--- ncurses-6.0-20160116+/ncurses/curses.priv.h	2016-01-10 22:17:19.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/curses.priv.h	2016-01-24 01:39:09.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.548 2016/01/10 22:17:19 tom Exp $
+ * $Id: curses.priv.h,v 1.551 2016/01/24 01:39:09 tom Exp $
  *
  *	curses.priv.h
  *
@@ -1630,7 +1630,10 @@
 #define TRACE_RETURN2(value,dst,src) return _nc_retrace_##dst##_##src(value)
 #define TRACE_RETURN_SP(value,type)  return _nc_retrace_##type(SP_PARM, value)
 
-#define NonNull(s)	((s) != 0 ? s : "<null>")
+typedef void VoidFunc(void);
+
+#define TR_FUNC(value)          ((const char*) &(value))
+#define NonNull(s)	        ((s) != 0 ? s : "<null>")
 
 #define returnAttr(code)	TRACE_RETURN(code,attr_t)
 #define returnBits(code)	TRACE_RETURN(code,unsigned)
Index: ncurses/tinfo/lib_tputs.c
Prereq:  1.96 
--- ncurses-6.0-20160116+/ncurses/tinfo/lib_tputs.c	2015-01-03 23:51:23.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/tinfo/lib_tputs.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2013,2015 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2015,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -51,7 +51,7 @@
 #include <termcap.h>		/* ospeed */
 #include <tic.h>
 
-MODULE_ID("$Id: lib_tputs.c,v 1.96 2015/01/03 23:51:23 tom Exp $")
+MODULE_ID("$Id: lib_tputs.c,v 1.97 2016/01/23 21:32:00 tom Exp $")
 
 NCURSES_EXPORT_VAR(char) PC = 0;              /* used by termcap library */
 NCURSES_EXPORT_VAR(NCURSES_OSPEED) ospeed = 0;        /* used by termcap library */
@@ -277,7 +277,7 @@
 	if (outc == NCURSES_SP_NAME(_nc_outch))
 	    _nc_STRCPY(addrbuf, "_nc_outch", sizeof(addrbuf));
 	else
-	    _nc_SPRINTF(addrbuf, _nc_SLIMIT(sizeof(addrbuf)) "%p", outc);
+	    _nc_SPRINTF(addrbuf, _nc_SLIMIT(sizeof(addrbuf)) "%p", TR_FUNC(outc));
 	if (_nc_tputs_trace) {
 	    _tracef("tputs(%s = %s, %d, %s) called", _nc_tputs_trace,
 		    _nc_visbuf(string), affcnt, addrbuf);
Index: ncurses/tinfo/use_screen.c
Prereq:  1.8 
--- ncurses-6.0-20160116+/ncurses/tinfo/use_screen.c	2009-10-24 22:40:20.000000000 +0000
+++ ncurses-6.0-20160123/ncurses/tinfo/use_screen.c	2016-01-23 21:32:00.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2007-2008,2009 Free Software Foundation, Inc.              *
+ * Copyright (c) 2007-2009,2016 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: use_screen.c,v 1.8 2009/10/24 22:40:20 tom Exp $")
+MODULE_ID("$Id: use_screen.c,v 1.9 2016/01/23 21:32:00 tom Exp $")
 
 NCURSES_EXPORT(int)
 use_screen(SCREEN *screen, NCURSES_SCREEN_CB func, void *data)
@@ -40,7 +40,7 @@
     SCREEN *save_SP;
     int code = OK;
 
-    T((T_CALLED("use_screen(%p,%p,%p)"), (void *) screen, func, (void *) data));
+    T((T_CALLED("use_screen(%p,%p,%p)"), (void *) screen, TR_FUNC(func), (void *) data));
 
     /*
      * FIXME - add a flag so a given thread can check if _it_ has already
Index: package/debian-mingw/changelog
--- ncurses-6.0-20160116+/package/debian-mingw/changelog	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/debian-mingw/changelog	2016-01-23 17:00:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160116) unstable; urgency=low
+ncurses6 (6.0+20160123) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Jan 2016 16:24:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Jan 2016 12:00:36 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20160116+/package/debian-mingw64/changelog	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/debian-mingw64/changelog	2016-01-23 17:00:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160116) unstable; urgency=low
+ncurses6 (6.0+20160123) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Jan 2016 16:24:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Jan 2016 12:00:36 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20160116+/package/debian/changelog	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/debian/changelog	2016-01-23 17:00:00.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160116) unstable; urgency=low
+ncurses6 (6.0+20160123) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Jan 2016 16:24:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Jan 2016 12:00:36 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.141 
--- ncurses-6.0-20160116+/package/mingw-ncurses.nsi	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/mingw-ncurses.nsi	2016-01-23 17:00:00.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.141 2016/01/16 21:24:23 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.142 2016/01/23 17:00:00 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "0116"
+!define VERSION_MMDD  "0123"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20160116+/package/mingw-ncurses.spec	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/mingw-ncurses.spec	2016-01-23 17:00:00.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20160116
+Release: 20160123
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20160116+/package/ncurses.spec	2016-01-16 21:24:23.000000000 +0000
+++ ncurses-6.0-20160123/package/ncurses.spec	2016-01-23 17:00:00.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20160116
+Release: 20160123
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
